### Method

# Json Parser get_root

#### Declaration [src]

    JsonNode*
    json_parser_get_root (
      JsonParser* parser
    )

#### Description [src]

Retrieves the top level node from the parsed JSON stream.

If the parser input was an empty string, or if parsing failed, the root will be `NULL`. It will also be `NULL` if it has been stolen using `json_parser_steal_root()`.

#### Return value

Type: `JsonNode`

The root node.

The data is owned by the instance.
The return value can be `NULL`.